# Uses of Class
org.eclipse.birt.report.model.api.validators.ElementExtendsValidator

Packages that use ElementExtendsValidator
Package
Description
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of ElementExtendsValidator in org.eclipse.birt.report.model.api.validators

Fields in org.eclipse.birt.report.model.api.validators declared as ElementExtendsValidator
Modifier and Type
Field
Description
`protected static final ElementExtendsValidator`
ElementExtendsValidator.`instance`
The singleton instance of the validator.
Methods in org.eclipse.birt.report.model.api.validators that return ElementExtendsValidator
Modifier and Type
Method
Description
`static ElementExtendsValidator`
ElementExtendsValidator.`getInstance()`
Returns the singleton validator instance.